<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__sdhc_8h" kind="file" language="C++">
    <compoundname>cyhal_sdhc.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__sdhc_8c">cyhal_sdhc.c</includedby>
    <incdepgraph>
      <node id="348">
        <label>cyhal_sdhc.h</label>
        <link refid="cyhal__sdhc_8h" />
        <childnode refid="349" relation="include">
        </childnode>
        <childnode refid="350" relation="include">
        </childnode>
      </node>
      <node id="350">
        <label>stdbool.h</label>
      </node>
      <node id="349">
        <label>stdint.h</label>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__sdhc__config__t">cyhal_sdhc_config_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__sdhc_1ga5271066b0eb796800ce40e649d5f6c1c" kind="define" prot="public" static="no">
        <name>CYHAL_SDHC_RSLT_ERR_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a70df074a301b74eb9ebb1f48e65c9377">CYHAL_RSLT_MODULE_SDHC</ref>, 0))</initializer>
        <briefdescription>
<para>&lt; Pin related Error. </para>        </briefdescription>
        <detaileddescription>
<para>&gt; </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" bodystart="92" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="92" />
      </memberdef>
      <memberdef id="group__group__hal__results__sdhc_1ga08eb24911e6245f53e4118b9fc33aca0" kind="define" prot="public" static="no">
        <name>CYHAL_SDHC_RSLT_ERR_UNSUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a70df074a301b74eb9ebb1f48e65c9377">CYHAL_RSLT_MODULE_SDHC</ref>, 1))</initializer>
        <briefdescription>
<para>Requested feature is not supported on this hardware. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" bodystart="95" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="95" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__sdhc_1ga612f43553069268d48d7ce0bee45722a" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_sdhc_card_type_t</name>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa38bcb59920941b83f0c06332df4cfc56" prot="public">
          <name>CYHAL_SDHC_SD</name>
          <briefdescription>
<para>Secure Digital card. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aac83d0855095c3088049b98df879f5b81" prot="public">
          <name>CYHAL_SDHC_SDIO</name>
          <briefdescription>
<para>SD Input Output card. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa8c0d3085eecb94c70be970fd616ad478" prot="public">
          <name>CYHAL_SDHC_EMMC</name>
          <briefdescription>
<para>Embedded Multimedia card. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa0634c94b291436bcd2ff7810df539610" prot="public">
          <name>CYHAL_SDHC_COMBO</name>
          <briefdescription>
<para>Combo Card (SD + SDIO) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa824d9d7d02b24e15f4310f1697477a9f" prot="public">
          <name>CYHAL_SDHC_UNUSABLE</name>
          <briefdescription>
<para>Unusable card or unsupported type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa2e07f8e30e45059fee59fcf4e341a925" prot="public">
          <name>CYHAL_SDHC_NOT_EMMC</name>
          <briefdescription>
<para>Not an eMMC card. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_sdhc_card_type_t: </bold><linebreak />Card types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="116" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" bodystart="108" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__sdhc_1gab58a2ffca59383a72cf8bc49d74cf17b" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_sdhc_event_t</name>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba11e93e28cdb3730b5f8c6bb5f29cb7d5" prot="public">
          <name>CYHAL_SDHC_CMD_COMPLETE</name>
          <initializer>= 0x00001</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bad08d507a635f8269ba7649643339f213" prot="public">
          <name>CYHAL_SDHC_XFER_COMPLETE</name>
          <initializer>= 0x00002</initializer>
          <briefdescription>
<para><blockquote><para>Command Complete </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba7cc7318fbda0daa6154e29752dead031" prot="public">
          <name>CYHAL_SDHC_BGAP_EVENT</name>
          <initializer>= 0x00004</initializer>
          <briefdescription>
<para><blockquote><para>Host read/write transfer is complete </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba80af4d0d45768f30bb1e7e20580eccb5" prot="public">
          <name>CYHAL_SDHC_DMA_INTERRUPT</name>
          <initializer>= 0x00008</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set when both read/write transaction is stopped at the block gap </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba41feae89fc60f05dc290968dea4a382b" prot="public">
          <name>CYHAL_SDHC_BUF_WR_READY</name>
          <initializer>= 0x00010</initializer>
          <briefdescription>
<para><blockquote><para>Host controller detects an SDMA Buffer Boundary during transfer </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba3844ed703bfd516cd920d251a2d60b89" prot="public">
          <name>CYHAL_SDHC_BUF_RD_READY</name>
          <initializer>= 0x00020</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set if the Buffer Write Enable changes from 0 to 1 </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba2cd1dd430b29e174da66c8d08cbaca17" prot="public">
          <name>CYHAL_SDHC_CARD_INSERTION</name>
          <initializer>= 0x00040</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set if the Buffer Read Enable changes from 0 to 1 </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba43775fcc705ff58f61b111825bdb34f2" prot="public">
          <name>CYHAL_SDHC_CARD_REMOVAL</name>
          <initializer>= 0x00080</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set if the Card Inserted in the Present State register changes from 0 to 1. </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba85fe3ef72be9f215eadff10ba66463a3" prot="public">
          <name>CYHAL_SDHC_CARD_INTERRUPT</name>
          <initializer>= 0x00100</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set if the Card Inserted in the Present State register changes from 1 to 0. </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba8b6cfd8821b612754d929b8613bfc968" prot="public">
          <name>CYHAL_SDHC_INT_A</name>
          <initializer>= 0x00200</initializer>
          <briefdescription>
<para><blockquote><para>The synchronized value of the DAT[1] interrupt input for SD mode </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba97929274453c64ba7340d13d177c6d66" prot="public">
          <name>CYHAL_SDHC_INT_B</name>
          <initializer>= 0x00400</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bad03ec602215de0835df5cd786ffad35a" prot="public">
          <name>CYHAL_SDHC_INT_C</name>
          <initializer>= 0x00800</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bac79ac0f3bae5a083079c478099b6f6fc" prot="public">
          <name>CYHAL_SDHC_RE_TUNE_EVENT</name>
          <initializer>= 0x01000</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bac5d8eae9a3ca751227264f692a4f9ebd" prot="public">
          <name>CYHAL_SDHC_FX_EVENT</name>
          <initializer>= 0x02000</initializer>
          <briefdescription>
<para><blockquote><para>This bit is set if the Re-Tuning Request changes from 0 to 1 </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bab1f59c81773e6e2083623bee85dd9c9b" prot="public">
          <name>CYHAL_SDHC_CQE_EVENT</name>
          <initializer>= 0x04000</initializer>
          <briefdescription>
<para><blockquote><para>This status is set when R[14] of response register is set to 1 </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5aa1783642ed00d38817f54c93a434cb" prot="public">
          <name>CYHAL_SDHC_ASYNC_READ_COMPLETE</name>
          <initializer>= 0x10000</initializer>
          <briefdescription>
<para><blockquote><para>This status is set if Command Queuing/Crypto event has occurred </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5b75a551bdc2c60c3a6a36218c7727dc" prot="public">
          <name>CYHAL_SDHC_ASYNC_WRITE_COMPLETE</name>
          <initializer>= 0x20000</initializer>
          <briefdescription>
<para><blockquote><para>Asynchronous read operation is complete </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bae5a8f7697409d7c683405808581a9a57" prot="public">
          <name>CYHAL_SDHC_ERR_INTERRUPT</name>
          <initializer>= 0x08000</initializer>
          <briefdescription>
<para><blockquote><para>Asynchronous write operation is complete </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba3be10ae218d0d48ef63f98a9238fac46" prot="public">
          <name>CYHAL_SDHC_ALL_INTERRUPTS</name>
          <initializer>= 0x3FFFF</initializer>
          <briefdescription>
<para><blockquote><para>If any of the bits in the Error Interrupt Status register are set </para></blockquote></para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_sdhc_event_t: </bold><linebreak />SDHC interrupt triggers.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="139" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" bodystart="119" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="119" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__sdhc_1gaded71f4751306e4983c1e8315c569fa1" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_sdhc_event_callback_t) (void *callback_arg, cyhal_sdhc_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_sdhc_event_t event)</argsstring>
        <name>cyhal_sdhc_event_callback_t</name>
        <briefdescription>
<para>Handler for SDHC interrupts. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" bodystart="147" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="147" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1gae748a1d5e7c6f91eeb78801979c5abe6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_init</definition>
        <argsstring>(cyhal_sdhc_t *obj, const cyhal_sdhc_config_t *config, cyhal_gpio_t cmd, cyhal_gpio_t clk, cyhal_gpio_t data0, cyhal_gpio_t data1, cyhal_gpio_t data2, cyhal_gpio_t data3, cyhal_gpio_t data4, cyhal_gpio_t data5, cyhal_gpio_t data6, cyhal_gpio_t data7, cyhal_gpio_t cardDetect, cyhal_gpio_t ioVoltSel, cyhal_gpio_t cardIfPwrEn, cyhal_gpio_t cardMechWriteProt, cyhal_gpio_t ledCtrl, cyhal_gpio_t cardEmmcReset)</argsstring>
        <name>cyhal_sdhc_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__config__t">cyhal_sdhc_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cmd</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>clk</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data0</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data1</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data2</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data3</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data4</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data5</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data6</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>data7</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cardDetect</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>ioVoltSel</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cardIfPwrEn</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cardMechWriteProt</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>ledCtrl</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>cardEmmcReset</declname>
        </param>
        <briefdescription>
<para>Initialize the SDHC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an SDHC object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">config</parametername>
</parameternamelist>
<parameterdescription>
<para>The card configuration object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the clk signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cmd</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the command signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data0 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data1 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data2</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data2 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data3</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data3 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data4</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data4 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data5</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data5 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data6</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data6 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data7</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the data7 signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cardDetect</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the cardDetect signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">ioVoltSel</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the ioVoltSel signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">cardIfPwrEn</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the cardIfPwrEn signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cardMechWriteProt</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the cardMechWriteProt signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">ledCtrl</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the ledCtrl signal </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cardEmmcReset</parametername>
</parameternamelist>
<parameterdescription>
<para>The pin connected to the cardEmmcReset signal </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="814" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="553" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="191" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga3fb2c77d8662f53a21996298cb4581b1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_sdhc_free</definition>
        <argsstring>(cyhal_sdhc_t *obj)</argsstring>
        <name>cyhal_sdhc_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Release the SDHC peripheral, not currently invoked. </para>        </briefdescription>
        <detaileddescription>
<para>It requires further resource management.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="876" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="816" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="215" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga4714e8b2507eefd5e6df9105f2944a1e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_read</definition>
        <argsstring>(const cyhal_sdhc_t *obj, uint32_t address, uint8_t *data, size_t *length)</argsstring>
        <name>cyhal_sdhc_read</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Attempts to read data synchronously over the SDHC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>This will read as many blocks as possible, up to length blocks, into the buffer pointed to by data, then return. The value pointed to by length will be updated to reflect the number of words that were actually read.</para><para>See <ref kindref="member" refid="group__group__hal__sdhc_1subsection_sdhc_snippet_3">Snippet 3: Reading a block of data from an SD Card</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>The address to read data from </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the byte-array where data read from the device should be stored </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of 512 byte blocks to read, updated with the number actually read </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="935" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="878" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="231" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga5a7d14246fee3ef70ec2d9ce4abf066a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_write</definition>
        <argsstring>(const cyhal_sdhc_t *obj, uint32_t address, const uint8_t *data, size_t *length)</argsstring>
        <name>cyhal_sdhc_write</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Attempts to write data synchronously over SDHC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para>This will write as many blocks as possible, up to length blocks, then return. The value pointed to by length will be updated to reflect the number of words that were actually read.</para><para>See <ref kindref="member" refid="group__group__hal__sdhc_1subsection_sdhc_snippet_4">Snippet 4: Writing a block of data to an SD Card</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>The address to write data to </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the byte-array of data to write to the device </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of 512 byte blocks to write, updated with the number actually written </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="994" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="937" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="248" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1gac3b257d6386f9699d70ca378bb02c7cb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_erase</definition>
        <argsstring>(const cyhal_sdhc_t *obj, uint32_t start_addr, size_t length)</argsstring>
        <name>cyhal_sdhc_erase</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>start_addr</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Erases a block of data over the SDHC peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">start_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>Is the address of the first byte to erase </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of 512 byte blocks (starting at start_addr) to erase </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the erase request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1078" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="996" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="258" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1gad020348569b21c43181c0c46e68ce05c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_read_async</definition>
        <argsstring>(const cyhal_sdhc_t *obj, uint32_t address, uint8_t *data, size_t *length)</argsstring>
        <name>cyhal_sdhc_read_async</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Start SDHC asynchronous read. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length 512 byte blocks into the buffer pointed to by data in the background. When the requested quantity of data has been read, the <ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5aa1783642ed00d38817f54c93a434cb">CYHAL_SDHC_ASYNC_READ_COMPLETE</ref> event will be raised. See <ref kindref="member" refid="group__group__hal__sdhc_1ga1fe53d842050280b8827e9a41545f461">cyhal_sdhc_register_callback</ref> and <ref kindref="member" refid="group__group__hal__sdhc_1ga3a0865321bd9284606655f9fb9402339">cyhal_sdhc_enable_event</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object that holds the transfer information </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>The address to read data from </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>The receive buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">length</parametername>
</parameternamelist>
<parameterdescription>
<para>Number of 512 byte blocks to read, updated with the number actually read </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1089" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1080" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="272" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1gac46d4b112279c8a2eabe61769faab39d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_write_async</definition>
        <argsstring>(const cyhal_sdhc_t *obj, uint32_t address, const uint8_t *data, size_t *length)</argsstring>
        <name>cyhal_sdhc_write_async</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>size_t *</type>
          <declname>length</declname>
        </param>
        <briefdescription>
<para>Start asynchronous SDHC write. </para>        </briefdescription>
        <detaileddescription>
<para>This will transfer length 512 byte blocks from the buffer pointed to by data in the background. When the requested quantity of data has been written, the <ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5b75a551bdc2c60c3a6a36218c7727dc">CYHAL_SDHC_ASYNC_WRITE_COMPLETE</ref> event will be raised. See <ref kindref="member" refid="group__group__hal__sdhc_1ga1fe53d842050280b8827e9a41545f461">cyhal_sdhc_register_callback</ref> and <ref kindref="member" refid="group__group__hal__sdhc_1ga3a0865321bd9284606655f9fb9402339">cyhal_sdhc_enable_event</ref>. <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object that holds the transfer information </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>The address to write data to </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>The transmit buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">length</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of 512 byte blocks to write, updated with the number actually written </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1100" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1091" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="285" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1gad28a8b2178173ce3ee981453ed3ce12c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_sdhc_is_busy</definition>
        <argsstring>(const cyhal_sdhc_t *obj)</argsstring>
        <name>cyhal_sdhc_is_busy</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Checks if the specified SDHC peripheral is in use. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC peripheral to check </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Indication of whether the SDHC is still transmitting </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1113" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1102" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="292" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga1b3044289cec6662efea36bd4054bf7b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_sdhc_abort_async</definition>
        <argsstring>(const cyhal_sdhc_t *obj)</argsstring>
        <name>cyhal_sdhc_abort_async</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Abort an SDHC transfer. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC peripheral to stop </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the abort_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1128" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1115" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="299" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga1fe53d842050280b8827e9a41545f461" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_sdhc_register_callback</definition>
        <argsstring>(cyhal_sdhc_t *obj, cyhal_sdhc_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_sdhc_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__sdhc_1gaded71f4751306e4983c1e8315c569fa1">cyhal_sdhc_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register an SDHC callback handler. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__sdhc_1ga3a0865321bd9284606655f9fb9402339">cyhal_sdhc_enable_event</ref> occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the event fires </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1136" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1130" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="309" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__sdhc_1ga3a0865321bd9284606655f9fb9402339" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_sdhc_enable_event</definition>
        <argsstring>(cyhal_sdhc_t *obj, cyhal_sdhc_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_sdhc_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__sdhc_1gab58a2ffca59383a72cf8bc49d74cf17b">cyhal_sdhc_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure SDHC event enablement. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__sdhc_1ga1fe53d842050280b8827e9a41545f461">cyhal_sdhc_register_callback</ref> will be called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The SDHC event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1170" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_sdhc.c" bodystart="1138" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" line="320" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress SDHC. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="82"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Defines</highlight></codeline>
<codeline lineno="83"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="preprocessor">#define<sp />CYHAL_SDHC_RSLT_ERR_PIN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SDHC,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="preprocessor">#define<sp />CYHAL_SDHC_RSLT_ERR_UNSUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SDHC,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="104"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Enumerations</highlight></codeline>
<codeline lineno="105"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal">{</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa38bcb59920941b83f0c06332df4cfc56">CYHAL_SDHC_SD</ref>,<sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aac83d0855095c3088049b98df879f5b81">CYHAL_SDHC_SDIO</ref>,<sp /></highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa8c0d3085eecb94c70be970fd616ad478">CYHAL_SDHC_EMMC</ref>,<sp /></highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa0634c94b291436bcd2ff7810df539610">CYHAL_SDHC_COMBO</ref>,<sp /></highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa824d9d7d02b24e15f4310f1697477a9f">CYHAL_SDHC_UNUSABLE</ref>,<sp /></highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gga612f43553069268d48d7ce0bee45722aa2e07f8e30e45059fee59fcf4e341a925">CYHAL_SDHC_NOT_EMMC</ref>,<sp /></highlight></codeline>
<codeline lineno="116"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga612f43553069268d48d7ce0bee45722a">cyhal_sdhc_card_type_t</ref>;</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_SDHC_CMD_COMPLETE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00001,<sp /></highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bad08d507a635f8269ba7649643339f213">CYHAL_SDHC_XFER_COMPLETE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00002,<sp /></highlight></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba7cc7318fbda0daa6154e29752dead031">CYHAL_SDHC_BGAP_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00004,<sp /></highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba80af4d0d45768f30bb1e7e20580eccb5">CYHAL_SDHC_DMA_INTERRUPT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00008,<sp /></highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba41feae89fc60f05dc290968dea4a382b">CYHAL_SDHC_BUF_WR_READY</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00010,<sp /></highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba3844ed703bfd516cd920d251a2d60b89">CYHAL_SDHC_BUF_RD_READY</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00020,<sp /></highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba2cd1dd430b29e174da66c8d08cbaca17">CYHAL_SDHC_CARD_INSERTION</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00040,<sp /></highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba43775fcc705ff58f61b111825bdb34f2">CYHAL_SDHC_CARD_REMOVAL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00080,<sp /></highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba85fe3ef72be9f215eadff10ba66463a3">CYHAL_SDHC_CARD_INTERRUPT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00100,<sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba8b6cfd8821b612754d929b8613bfc968">CYHAL_SDHC_INT_A</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00200,</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_SDHC_INT_B<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00400,</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_SDHC_INT_C<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x00800,</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_SDHC_RE_TUNE_EVENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x01000,<sp /></highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bac5d8eae9a3ca751227264f692a4f9ebd">CYHAL_SDHC_FX_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x02000,<sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bab1f59c81773e6e2083623bee85dd9c9b">CYHAL_SDHC_CQE_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x04000,<sp /></highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5aa1783642ed00d38817f54c93a434cb">CYHAL_SDHC_ASYNC_READ_COMPLETE</ref><sp /><sp />=<sp />0x10000,<sp /></highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba5b75a551bdc2c60c3a6a36218c7727dc">CYHAL_SDHC_ASYNC_WRITE_COMPLETE</ref><sp />=<sp />0x20000,<sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17bae5a8f7697409d7c683405808581a9a57">CYHAL_SDHC_ERR_INTERRUPT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x08000,<sp /></highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ggab58a2ffca59383a72cf8bc49d74cf17ba3be10ae218d0d48ef63f98a9238fac46">CYHAL_SDHC_ALL_INTERRUPTS</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x3FFFF,<sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__sdhc_1gab58a2ffca59383a72cf8bc49d74cf17b">cyhal_sdhc_event_t</ref>;</highlight></codeline>
<codeline lineno="140"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="143"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Typedefs</highlight></codeline>
<codeline lineno="144"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__sdhc_1gaded71f4751306e4983c1e8315c569fa1">cyhal_sdhc_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__sdhc_1gab58a2ffca59383a72cf8bc49d74cf17b">cyhal_sdhc_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="150"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Data<sp />Structures</highlight></codeline>
<codeline lineno="151"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /></codeline>
<codeline lineno="154" refid="structcyhal__sdhc__config__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal">{</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />enableLedControl;<sp /></highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />lowVoltageSignaling;<sp /></highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />isEmmc;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />busWidth;<sp /></highlight></codeline>
<codeline lineno="160"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__sdhc__config__t">cyhal_sdhc_config_t</ref>;</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="163"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Functions</highlight></codeline>
<codeline lineno="164"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gae748a1d5e7c6f91eeb78801979c5abe6">cyhal_sdhc_init</ref>(<ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__config__t">cyhal_sdhc_config_t</ref><sp />*config,</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cmd,</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />clk,</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data0,</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data1,</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data2,</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data3,</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data4,</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data5,</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data6,</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />data7,</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cardDetect,</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />ioVoltSel,</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cardIfPwrEn,</highlight></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cardMechWriteProt,</highlight></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />ledCtrl,</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />cardEmmcReset);</highlight></codeline>
<codeline lineno="209"><highlight class="normal" /></codeline>
<codeline lineno="215"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga3fb2c77d8662f53a21996298cb4581b1">cyhal_sdhc_free</ref>(<ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga4714e8b2507eefd5e6df9105f2944a1e">cyhal_sdhc_read</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp />uint32_t<sp />address,<sp />uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="232"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga5a7d14246fee3ef70ec2d9ce4abf066a">cyhal_sdhc_write</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp />uint32_t<sp />address,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="249"><highlight class="normal" /></codeline>
<codeline lineno="258"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gac3b257d6386f9699d70ca378bb02c7cb">cyhal_sdhc_erase</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp />uint32_t<sp />start_addr,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />length);</highlight></codeline>
<codeline lineno="259"><highlight class="normal" /></codeline>
<codeline lineno="272"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gad020348569b21c43181c0c46e68ce05c">cyhal_sdhc_read_async</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp />uint32_t<sp />address,<sp />uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="273"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gac46d4b112279c8a2eabe61769faab39d">cyhal_sdhc_write_async</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp />uint32_t<sp />address,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />*length);</highlight></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__sdhc_1gad28a8b2178173ce3ee981453ed3ce12c">cyhal_sdhc_is_busy</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="293"><highlight class="normal" /></codeline>
<codeline lineno="299"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga1b3044289cec6662efea36bd4054bf7b">cyhal_sdhc_abort_async</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="300"><highlight class="normal" /></codeline>
<codeline lineno="309"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga1fe53d842050280b8827e9a41545f461">cyhal_sdhc_register_callback</ref>(<ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__sdhc_1gaded71f4751306e4983c1e8315c569fa1">cyhal_sdhc_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="310"><highlight class="normal" /></codeline>
<codeline lineno="320"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__sdhc_1ga3a0865321bd9284606655f9fb9402339">cyhal_sdhc_enable_event</ref>(<ref kindref="compound" refid="structcyhal__sdhc__t">cyhal_sdhc_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__sdhc_1gab58a2ffca59383a72cf8bc49d74cf17b">cyhal_sdhc_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="321"><highlight class="normal" /></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="324"><highlight class="normal">}</highlight></codeline>
<codeline lineno="325"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_SDHC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_SDHC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="329"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_SDHC_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="330"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_sdhc.h" />
  </compounddef>
</doxygen>